const APP_DISPLAY_NAME    = "Show Image";
const APP_NAME            = "showimage";
const APP_PACKAGE         = "showimage";
const APP_VERSION         = "0.3";

const APP_JAR_FILE        = "chrome/showimage.jar";
const APP_CONTENT_FOLDER  = "content/showimage/";
const APP_LOCALE          = "en-US";
const APP_LOCALE_FOLDER   = "locale/" + APP_LOCALE + "/showimage/";

const APP_SUCCESS_MESSAGE = "New menuitems will appear on the context menu of broken images.\n\n";

var chromef, chromeFlag;

initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

if (confirm("Do you want to install this into the profile directory?  (Cancel will install into your application directory)"))
{
   chromef = getFolder("Profile", "chrome");
   chromeFlag = PROFILE_CHROME;
}
else
{
   chromef = getFolder("Chrome");
   chromeFlag = DELAYED_CHROME;
}

var err = addFile(APP_PACKAGE, APP_VERSION, APP_JAR_FILE, chromef, null);

if (err >= SUCCESS) 
{ 
	var jar = getFolder(chromef, APP_JAR_FILE);

	registerChrome(CONTENT | chromeFlag, jar, APP_CONTENT_FOLDER);
   registerChrome(LOCALE  | chromeFlag, jar, APP_LOCALE_FOLDER);

	err = performInstall();

	if(err >= SUCCESS) 
   {
		alert(APP_NAME + " " + APP_VERSION + " has been successfully installed.\n"
			+APP_SUCCESS_MESSAGE
			+"Please restart your browser before continuing.");
	} 
   else 
   { 
		alert("Install failed. Error code:" + err);
		cancelInstall(err);
	}
} 
else 
{ 
	alert("Failed to create " +APP_JAR_FILE +"\n"
		+"You probably don't have appropriate permissions \n"
		+"(write access to phoenix/chrome directory). \n"
		+"_____________________________\nError code:" + err);
	cancelInstall(err);
}

